Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
cfunc_data Struct Reference

`#include <dl.h>`

## Data Fields
void * | ptr
char * | name
int | type
ID | calltype
VALUE | wrap

## Detailed Description

Definition at line 188 of file dl.h.

## Field Documentation

ID cfunc_data::calltype

Definition at line 192 of file dl.h.

Referenced by rb_dlcfunc_call(), rb_dlcfunc_calltype(), rb_dlcfunc_initialize(), rb_dlcfunc_new(), rb_dlcfunc_s_allocate(), and rb_dlcfunc_set_calltype().

char* cfunc_data::name

Definition at line 190 of file dl.h.

Referenced by dlcfunc_free(), dlcfunc_memsize(), rb_dlcfunc_initialize(), rb_dlcfunc_inspect(), rb_dlcfunc_name(), rb_dlcfunc_new(), and rb_dlcfunc_s_allocate().

void* cfunc_data::ptr

Definition at line 189 of file dl.h.

Referenced by rb_dlcfunc2ptr(), rb_dlcfunc_call(), rb_dlcfunc_initialize(), rb_dlcfunc_inspect(), rb_dlcfunc_new(), rb_dlcfunc_ptr(), rb_dlcfunc_s_allocate(), rb_dlcfunc_set_ptr(), and rb_dlcfunc_to_i().

int cfunc_data::type

Definition at line 191 of file dl.h.

Referenced by rb_dlcfunc_call(), rb_dlcfunc_ctype(), rb_dlcfunc_initialize(), rb_dlcfunc_inspect(), rb_dlcfunc_new(), rb_dlcfunc_s_allocate(), and rb_dlcfunc_set_ctype().

VALUE cfunc_data::wrap

Definition at line 193 of file dl.h.

Referenced by dlcfunc_mark(), and rb_dlcfunc_initialize().

The documentation for this struct was generated from the following file:

- ext/dl/dl.h